%define upstream_name    DateTime-Event-ICal
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl DateTime extension for computing rfc2445 recurrences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Event::Recurrence) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides convenience methods that let you easily create
'DateTime::Set' objects for rfc2445 style recurrences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1025071
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 971312
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 891288
- update to 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 743770
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 684268
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 653626
- update to 0.12

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 510749
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 365554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 315805
- update to 0.11

* Mon Jan 24 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 37413
- mageia rebuild
- imported package perl-DateTime-Event-ICal


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.100.0-1mdv2010.1
+ Revision: 542972
- import perl-DateTime-Event-ICal


* Thu May 06 2010 cpan2dist 0.10-1mdv
- initial mdv release, generated with cpan2dist
